
package bbuvajava;

import java.util.ArrayList;

public class Arqueo {

    private String narqueo;
    private float saldoini;
    private float saldofin;
    private float saldoparte;
    private int op=0;
    private Empleado mEmpleado;
    private ArrayList<OPBasica> mOPBasica;
    private Caja c;

    public Arqueo () {
        mOPBasica= new ArrayList ();
    }

    public void ParteDiferencia(Float nuevosaldo){
        this.setSaldoparte(c.getSaldo());
        c.setSaldo(nuevosaldo);
        this.setSaldofin(nuevosaldo);
        op=1;
    }

    public Empleado getEmpleado () {
        return mEmpleado;
    }

    public void setEmpleado (Empleado val) {
        this.mEmpleado = val;
    }

    public ArrayList<OPBasica> getMOPBasica() {
        return mOPBasica;
    }

    public void setMOPBasica(ArrayList<OPBasica> mOPBasica) {
        this.mOPBasica = mOPBasica;
    }

    public Caja getC() {
        return c;
    }

    public void setC(Caja c) {
        this.c = c;
    }

    public String getNarqueo() {
        return narqueo;
    }

    public void setNarqueo(String narqueo) {
        this.narqueo = narqueo;
    }

   
    public float getSaldoini() {
        return saldoini;
    }

    public void setSaldoini(float saldoini) {
        this.saldoini = saldoini;
    }

   
    public float getSaldofin() {
        return saldofin;
    }

    
    public void setSaldofin(float saldofin) {
        this.saldofin = saldofin;
    }

    public void anadir_OPBasica(OPBasica op){
        this.mOPBasica.add(op);
    }

    
    public float getSaldoparte() {
        return saldoparte;
    }


    public void setSaldoparte(float saldoparte) {
        this.saldoparte = saldoparte;
    }

    
    public int getOp() {
        return op;
    }

    
    public void setOp(int op) {
        this.op = op;
    }

  

}
